# yaf-splash (new)

The "old" yaf-splash is available as a PET package, and most likely already in your Puppy. It is located at /usr/X11R7/bin/yaf-splash. The documentation for the old yaf-splash is at /usr/share/doc/yaf-splash.htm.

There is an enhanced replacement for yaf-splash, a script located at /usr/bin/gtkdialog-splash, with /usr/bin/yaf-splash symlinked to it.

If you simply execute 'yaf-splash', the new one will run. However, the gtkdialog-splash script will launch the old one (if installed) if it detects the "-font" parameter in the commandline.

The new yaf-splash does not use the '-font' parameter (ignores it). Here are the commandline options of the new yaf-splash:

- -text EXPRESSION
- -timeout COUNT (in seconds)
- -icon GTK-XXX (for example: gtk-info all gtk-stock-symbols, default: none)
- -bg COLOR (background color red, blue, yellow..., default: grey)
- -fg COLOR (font color, default: black)
- -placement center|mouse|top|bottom|top-left|bottom-left (default center)
- -close never|mouseover|box (default is mouseover)
- -deco TITLE (shows windows decorations, with title)
- -fontsize SIZE (small, medium, large, x-large, default: large)

Example: `# yaf-splash -placement top -close box -text "This is a message"`

The new yaf-splash was originally written by 'mave', modified by BarryK.

Note that the new yaf-splash works best with the JWM window manager, which is setup to treat the 'gtkdialog-splash' class in a special way (see /root/.jwmrc).
Those who prefer the old yaf-splash may continue to use it, simply by putting in the '-font' parameter -- which is always done anyway.